NCCSums Class Reference

`#include <mia/core/nccsum.hh>`

## Public Member Functions

void | add (double a, double b)
std::pair< double, NCCGradHelper > | get_grad_helper () const
bool | has_samples () const
| NCCSums ()
NCCSums & | operator+= (const NCCSums &other)
double | value () const

## Detailed Description

Definition at line 113 of file nccsum.hh.

## Constructor & Destructor Documentation

## NCCSums()

NCCSums::NCCSums | ( |  | ) |

inline

Definition at line 116 of file nccsum.hh.

Referenced by operator+=().

## Member Function Documentation

## add()

void NCCSums::add | ( | double | a,
|  | double | b )

inline

Definition at line 122 of file nccsum.hh.

## get_grad_helper()

std::pair< double, NCCGradHelper > NCCSums::get_grad_helper | ( |  | ) | const

## has_samples()

bool NCCSums::has_samples | ( |  | ) | const

inline

Definition at line 148 of file nccsum.hh.

## operator+=()

NCCSums & NCCSums::operator+= | ( | const NCCSums & | other | ) |

inline

Definition at line 132 of file nccsum.hh.

References NCCSums().

## value()

double NCCSums::value | ( |  | ) | const

The documentation for this class was generated from the following file:

- nccsum.hh